#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
  QSL\ProductQuestions\LifetimeHook\Disable:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ProductQuestions, type: disable, method: onDisable}
  QSL\ProductQuestions\LifetimeHook\Rebuild:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ProductQuestions, type: rebuild, method: onRebuild}
  QSL\ProductQuestions\LifetimeHook\Upgrade\UpgradeTo550build2:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ProductQuestions, type: upgrade, method: onUpgrade, version: 5.5.0.2}
  QSL\ProductQuestions\LifetimeHook\Upgrade\UpgradeTo550build3:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ProductQuestions, type: upgrade, method: onUpgrade, version: 5.5.0.3}
  QSL\ProductQuestions\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ProductQuestions, type: upgrade, method: onUpgrade, version: 5.5.1.0}
